%define major 6
%define libname %mklibname imobiledevice %{major}
%define devname %mklibname imobiledevice -d

Summary:	Library for connecting to Apple iPhone and iPod touch
Name:		libimobiledevice
Version:	1.2.0
Release:	3
License:	LGPLv2.1+
Group:		System/Libraries
Url:		http://libimobiledevice.org/
Source0:	http://www.libimobiledevice.org/downloads/%{name}-%{version}.tar.bz2
Patch0:		libimobiledevice-1.2.0-listen-local.patch

BuildRequires:	python-cython
BuildRequires:	swig
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libplist)
BuildRequires:	pkgconfig(libplist++)
BuildRequires:	pkgconfig(libtasn1)
BuildRequires:	pkgconfig(libusbmuxd)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(python)

%description
A library for connecting to Apple's iPhone or iPod touch devices.

%files
%doc AUTHORS COPYING.LESSER README
%{_bindir}/idevice*
%{_mandir}/man1/idevice*.1.*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library for connecting to Apple iPhone and iPod touch
Group:		System/Libraries

%description -n %{libname}
A library for connecting to Apple's iPhone or iPod touch devices.

%files -n %{libname}
%{_libdir}/libimobiledevice.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development package for libimobiledevice
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Files for development with libimobiledevice.

%files -n %{devname}
%{_libdir}/pkgconfig/libimobiledevice-1.0.pc
%{_libdir}/libimobiledevice.so
%{_includedir}/libimobiledevice

#----------------------------------------------------------------------------

%package -n python-imobiledevice
Summary:	Python bindings for libimobiledevice
Group:		Development/Python

%description -n python-imobiledevice
Python bindings for libimobiledevice.

%files -n python-imobiledevice
%{py_platsitedir}/imobiledevice.so

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
autoreconf -fi # for CVE-2013-2142 patch
%configure2_5x --disable-static
%make

%install
%makeinstall_std


%changelog

* Sat Oct 29 2016 Denis Silakov <denis.silakov@rosalab.ru> 1.2.0-3
- (5f31153) only listen on loopback network interface (upstream fix)


